get
https://api.tcgplayer.com/pricing/product/
Returns all product market prices for the Ids specified. Market prices that could
be found are returned in the results array in the response. Market prices that
could not be found are indicated in the errors array.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This endpoint accepts a comma-separated list of product ids. A good workflow can be to first hit the product search endpoint and then from there hit pricing from the list of ids.
Performance Note
It is a good idea to save this data in a local database so a new pricing call doesn't have to be made every time that you display a price to a user.
{
"success": true,
"errors": [
"string"
],
"results": [
{
"productId": 0,
"lowPrice": 0,
"midPrice": 0,
"highPrice": 0,
"marketPrice": 0,
"directLowPrice": 0,
"subTypeName": "string"
}
]
}
/pricing/product/127425,127428
{
"success": true,
"errors": [],
"results": [
{
"productId": 127425,
"lowPrice": 10,
"midPrice": 10,
"highPrice": 10,
"marketPrice": 8,
"directLowPrice": null,
"subTypeName": "Normal"
},
{
"productId": 127425,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "Foil"
},
{
"productId": 127428,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "Foil"
},
{
"productId": 127428,
"lowPrice": 15,
"midPrice": 15,
"highPrice": 15,
"marketPrice": 15.99,
"directLowPrice": null,
"subTypeName": "Normal"
}
]
}
/pricing/product/83461,101491,130325,138608
{
"success": true,
"errors": [],
"results": [
{
"productId": 83461,
"lowPrice": 0.1,
"midPrice": 0.34,
"highPrice": 1,
"marketPrice": 0.15,
"directLowPrice": null,
"subTypeName": "Normal"
},
{
"productId": 83461,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "Holofoil"
},
{
"productId": 83461,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "1st Edition Holofoil"
},
{
"productId": 83461,
"lowPrice": 0.25,
"midPrice": 0.49,
"highPrice": 1.02,
"marketPrice": 0.3,
"directLowPrice": null,
"subTypeName": "Reverse Holofoil"
},
{
"productId": 83461,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "1st Edition Normal"
},
{
"productId": 101491,
"lowPrice": 0.08,
"midPrice": 0.23,
"highPrice": 0.99,
"marketPrice": 0.14,
"directLowPrice": null,
"subTypeName": "Normal"
},
{
"productId": 101491,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "Holofoil"
},
{
"productId": 101491,
"lowPrice": 0.09,
"midPrice": 0.35,
"highPrice": 1.95,
"marketPrice": 0.21,
"directLowPrice": null,
"subTypeName": "Reverse Holofoil"
},
{
"productId": 101491,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "1st Edition Normal"
},
{
"productId": 101491,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "1st Edition Holofoil"
},
{
"productId": 130325,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "Holofoil"
},
{
"productId": 130325,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "Normal"
},
{
"productId": 130325,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "1st Edition Holofoil"
},
{
"productId": 130325,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": 4.31,
"directLowPrice": null,
"subTypeName": "Reverse Holofoil"
},
{
"productId": 130325,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "1st Edition Normal"
},
{
"productId": 138608,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "Holofoil"
},
{
"productId": 138608,
"lowPrice": 0.25,
"midPrice": 0.51,
"highPrice": 1.77,
"marketPrice": 0.5,
"directLowPrice": null,
"subTypeName": "Normal"
},
{
"productId": 138608,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "1st Edition Normal"
},
{
"productId": 138608,
"lowPrice": 0.49,
"midPrice": 1.08,
"highPrice": 2.9,
"marketPrice": 1.07,
"directLowPrice": null,
"subTypeName": "Reverse Holofoil"
},
{
"productId": 138608,
"lowPrice": null,
"midPrice": null,
"highPrice": null,
"marketPrice": null,
"directLowPrice": null,
"subTypeName": "1st Edition Holofoil"
}
]
}
400No Ids were specified.
404No product market prices were found associated with the specified Ids or all Ids
were invalid.
